> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription

> GetSubscription

 Returns subscription information by subscription ID.



## OpenAPI

````yaml get /integration/subscriptions/v1/{subscription_id}
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /integration/subscriptions/v1/{subscription_id}:
    get:
      tags:
        - SubscriptionService
      description: |-
        GetSubscription

         Returns subscription information by subscription ID.
      operationId: SubscriptionService_GetSubscription
      parameters:
        - name: subscription_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.integration.subscription.v1.GetSubscriptionResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.integration.subscription.v1.GetSubscriptionResponse:
      type: object
      properties:
        subscription:
          $ref: '#/components/schemas/motto.integration.subscription.v1.Subscription'
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.integration.subscription.v1.Subscription:
      required:
        - project_id
        - name
        - topic_id
        - https_url
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: System generated identifier for the platform.
        project_id:
          type: string
        name:
          type: string
          description: >-
            Name of the subscription. This is used for easy, human readable
            identification of the subscription.
        topic_id:
          type: string
          description: The topic that updates should be sent for.
        filter:
          type: string
          description: |-
            Filter the updates using a subset of the Kibana Query Language.
             The field names that you use in your filter must exactly match the field names on the object that you are filtering.
             There are some limitations to the filters that you can use:
             1. Filters can only be on top-level fields that are included in the `filterable_fields` property of the topic.
             2. Filters cannot be on fields that are an array or dictionary.
             3. Filters only support `AND` clauses (not `OR`).

             If you do not provide any filter, all updates on the topic will be sent to the target.

             Some examples:
             - If you are interested in all updates on an asset with `id` of `1234`, you can use `id:1234`.
             - If you are interested in all updates on an asset with `id` of `1234` and `type` of `ASSET_TYPE_VIDEO` (which is an enum),
               you can use `id:1234 AND type:ASSET_TYPE_VIDEO`.
             - If you are interested in all updates on an entity with type `team` and `name` of `Barcelona`, you can use
               `type:team AND name:Barcelona`.
             - If you are interested in all updates where a field value is after a certain date or time, you can use `field_name>"2006-01-02 15:04:05"` (in that specific format, specified in UTC).

             If a filter cannot be parsed or is invalid, the subscription may still pass initial validation but will then be ignored at run-time, meaning you will not receive any updates as they come through.
             Be sure to test your filters before relying on them in a production environment.
        https_url:
          type: string
          description: URL to which the events should be sent.
        delete_after_use:
          type: boolean
          description: >-
            If true, the subscription will be deleted after the first use. This
            is useful for cases where the the callback
             is meant to update the state change of a single resource, e.g. to continue a workflow when a dependent resource is
             ready.
      description: >-
        Subscription is used to define which events of the relevant topics
        should be sent to the callback URL.
         Limitations:
         1. This is only forward-looking, meaning that only events that occur after the subscription is created will be sent to the target.
         2. There may only be two (2) subscriptions per topic, unless the subscription filter specifies a specific `id` field OR `delete_after_use` is set to true.
         3. Delivery is not guaranteed; message delivery will be retried when encountering a non-2xx response, but if there are multiple subscriptions for the same topic and one subscription successfully received the message, it will not be redelivered to the others.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````